%define upstream_name    Net-SFTP-Foreign
%define upstream_version 1.93

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Adaptor for Net::SFTP::Attributes compatibility
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%description
SFTP stands for SSH File Transfer Protocol and is a method of transferring
files between machines over a secure, encrypted connection (as opposed to
regular FTP, which functions over an insecure connection). The security in
SFTP comes through its integration with SSH, which provides an encrypted
transport layer over which the SFTP commands are executed.

Net::SFTP::Foreign is a Perl client for the SFTP version 3 as defined in
the SSH File Transfer Protocol IETF draft, which can be found at the
http://www.openssh.org/txt/draft-ietf-secsh-filexfer-02.txt manpage (also
included on this package distribution, on the 'rfc' directory).

Net::SFTP::Foreign uses any compatible 'ssh' command installed on the
system (for instance, OpenSSH 'ssh') to establish the secure connection to
the remote server.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO samples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.930.0-2.mga9
+ Revision: 1814099
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 1.930.0-1.mga9
+ Revision: 1691412
- update to 1.93

* Thu Jun 25 2020 tv <tv> 1.910.0-1.mga8
+ Revision: 1599191
- update to 1.91

* Fri Feb 14 2020 umeabot <umeabot> 1.900.0-2.mga8
+ Revision: 1522593
- Mageia 8 Mass Rebuild

* Mon Jan 28 2019 tv <tv> 1.900.0-1.mga7
+ Revision: 1361581
- update to 1.90

* Thu Sep 20 2018 umeabot <umeabot> 1.890.0-2.mga7
+ Revision: 1285198
- Mageia 7 Mass Rebuild

* Sun Feb 25 2018 shlomif <shlomif> 1.890.0-1.mga7
+ Revision: 1205005
- update to 1.89

* Tue Oct 03 2017 tv <tv> 1.870.0-2.mga7
+ Revision: 1165968
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 1.870.0-1.mga7
+ Revision: 1157309
- new version 1.87

* Sun Jun 19 2016 pterjan <pterjan> 1.810.0-2.mga6
+ Revision: 1031322
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.810.0-1.mga6
+ Revision: 1002262
- update to 1.81

* Sat Feb 20 2016 umeabot <umeabot> 1.790.0-2.mga6
+ Revision: 971332
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 1.790.0-1.mga6
+ Revision: 891479
- update to 1.79

* Wed Oct 15 2014 umeabot <umeabot> 1.770.0-4.mga5
+ Revision: 739255
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.770.0-3.mga5
+ Revision: 732425
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.770.0-2.mga5
+ Revision: 685719
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 1.770.0-1.mga5
+ Revision: 585578
- update to 1.77

* Sat Oct 19 2013 umeabot <umeabot> 1.750.0-2.mga4
+ Revision: 527170
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.750.0-1.mga4
+ Revision: 439639
- update to 1.75

* Sun Jan 13 2013 umeabot <umeabot> 1.730.0-2.mga3
+ Revision: 370863
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.730.0-1.mga3
+ Revision: 255190
- update to 1.73

* Sat Dec 10 2011 kharec <kharec> 1.690.0-1.mga2
+ Revision: 179902
- update to 1.69

* Sun Sep 25 2011 jquelin <jquelin> 1.670.0-1.mga2
+ Revision: 147730
- imported package perl-Net-SFTP-Foreign


* Sun Sep 25 2011 cpan2dist 1.67-1mga
- initial mageia release, generated with cpan2dist
